Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 22 Jan 2010 13:08:02 -0800
From:      Kent Stewart <kstewart@owt.com>
To:        freebsd-questions@freebsd.org
Cc:        n dhert <ndhertbsd@gmail.com>
Subject:   Re: portupgrade fail qt4-rcc-4.6.1
Message-ID:  <201001221308.02335.kstewart@owt.com>
In-Reply-To: <ed7803cf1001212234t561b96afx8a4664c2c17f0ff0@mail.gmail.com>
References:  <ed7803cf1001212234t561b96afx8a4664c2c17f0ff0@mail.gmail.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Thursday 21 January 2010 10:34:59 pm n dhert wrote:
> Today there were about 7 portupgrades to qt4 packages.
> Upgrading 'qt4-rcc-4.5.3' to 'qt4-rcc-4.6.1' (devel/qt4-rcc)  failed:
> ...
> c++ -c -O2 -fno-strict-aliasing -pipe -O2 -fPIC -Wall -W
> -DQT_BOOTSTRAPPED -DQT_
> LITE_UNICODE -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII
> -DQT_NO_CODECS -DQT_N
> O_DATASTREAM -DQT_NO_GEOM_VARIANT -DQT_NO_LIBRARY -DQT_NO_QOBJECT
> -DQT_NO_STL -D
> QT_NO_SYSTEMLOCALE -DQT_NO_TEXTSTREAM -DQT_NO_THREAD
> -DQT_NO_UNICODETABLES -DQT_
> NO_USING_NAMESPACE -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE
> -I/usr/local/share/
> qt4/mkspecs/freebsd-g++ -I. -I../../../include
> -I../../../include/QtCore -I../..
> /../include/QtXml -I/usr/local/include -o
> .obj/release-static/qfsfileengine_unix
> .o ../../corelib/io/qfsfileengine_unix.cpp
> ../../corelib/io/qfsfileengine_unix.cpp: In member function 'uchar*
> QFSFileEngin
> ePrivate::map(qint64, qint64, QFile::MemoryMapFlags)':
> ../../corelib/io/qfsfileengine_unix.cpp:1273: warning: comparaison
> between signed
>  and unsigned integer expressions
> ../../corelib/io/qfsfileengine_unix.cpp:1293: error: 'QT_MMAP' was
> not declared
> in this scope
> *** Error code 1
> Stop in
> /usr/ports/devel/qt4-rcc/work/qt-everywhere-opensource-src-4.6.1/src/
>too ls/bootstrap.
> *** Error code 1
> Stop in /usr/ports/devel/qt4-rcc.
> --->  Build of devel/qt4-rcc ended at: Fri, 22 Jan 2010 07:09:07
> +0100 (consumed
>  00:01:47)
> --->  Upgrade of devel/qt4-rcc ended at: Fri, 22 Jan 2010 07:09:07
> +0100 (consum
> ed 00:01:47)
>
> Waht's wrong and how to remedy?

I found that portugrade was trying to upgrade qt4-rcc or moc on my 
machines before it upgraded their only dependency, qt4-qmake. I updated 
that and then everything worked just fine.

Kent
-- 
Kent Stewart
Richland, WA

http://users.owt.com/kstewart/index.html




Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?201001221308.02335.kstewart>